d1_synchronization v2/v1 processing error
2015-09-17 23:56 - Ben Leinfelder

Status: Closed Start date: 2015-09-17
Priority: Normal Due date:

Assignee: Ben Leinfelder % Done: 100%
Category: d1_synchronization Estimated time: 0.00 hour
Target version: CCl-2.0.0

Story Points:

Description

When running in a mixed vi/v2 environment (DEV2) | saw these processing errors:

[DEBUG] 2015-09-17 16:36:26,531 (TypeFactory:clone:189) Cloning object
org.dataone.service.types.v1.SystemMetadata@2596d3d1 (of type org.dataone.service.types.vi.SystemMetadata)...
[ERROR] 2015-09-17 16:36:26,532 (StdOutErrLog$2:print:51) java.lang.ClassCastException

[ERROR] 2015-09-17 16:36:26,534 (V2TransferObjectTask:retrieveMNSystemMetadata:289) Task-urn:node:mnDevUNM1-
http://dx.doi.org/10.5061/dryad.vk7sr8tr?ver=2012-03-21T10:22:33.507-04:00

<?xml version="1.0" encoding="UTF-8"7?>

Error converting v1.SystemMetadata to v2.SystemMetadata: null

Looking at V2TransferObjectTask.java, | see that the TypeMarshaller.clone() method was being used in an attempt to convert
v1.SystemMetadata to v2.SystemMetadata. This will fail and throw the above error.

History

#1 - 2015-09-17 23:58 - Ben Leinfelder
- Status changed from New to In Progress

- % Done changed from 0 to 30

| changed to use: TypeFactory.convertTypeFromType() instead of clone. Will need to redeploy in DEV2 (and DEV) to test.
#2 - 2015-09-18 21:17 - Ben Leinfelder
- Status changed from In Progress to Closed

- % Done changed from 30 to 100

This worked great.
